Prérequis de plate-forme FireMonkey

De Appmethod Topics
Aller à : navigation, rechercher

Remonter à Guide des applications FireMonkey


Plates-formes supportées

FireMonkey s'exécute sur les plates-formes suivantes :

Plates-formes Applications

Windows 32 bits et 64 bits

Applications FireMonkey 32 bits

Windows 64 bits

Applications FireMonkey 64 bits

Mac OS X, noyau 32 bits ou 64 bits

Applications FireMonkey 32 bits

iOS, ciblant le simulateur ou le périphérique

Applications FireMonkey 32 bits

Android, ciblant l'émulateur ou le périphérique

Applications FireMonkey 32 bits


  • L'EDI de Appmethod est une application Windows 32 bits. Il nécessite donc l'environnement de développement Windows (32 bits ou 64 bits).
  • Platform Assistant est requis pour le développement multi-périphérique pour Mac OS X ou iOS (périphérique ou simulateur).

Exigences matérielles et du système d'exploitation pour la plate-forme cible et les systèmes de développement

Toutes les applications FireMonkey (HD et 3D) nécessitent une unité de traitement des graphiques (GPU) à la fois sur la plate-forme cible et le système de développement. L'unité GPU est accessible directement ou par le biais de la virtualisation.

Exigences Windows

L'unité GPU doit supporter Pixel Shader 2.0, partie de DirectX 9.0, qui est d'abord apparu auprès de divers fournisseurs dans ces produits :

  • ATI (à présent AMD) Radeon 9500-X600 series, introduit en 2002.
  • Intel GMA 900, introduit en 2004.
  • NVIDIA GeForce FX (ou GeForce 5) series, introduit en 2003.

Lorsque l'exécution s'effectue dans une machine virtuelle, l'unité GPU de l'hôte doit être accessible. Un tel support est trouvé dans les produits de virtualisation suivants :

  • VMware Workstation 7
  • VMware Player 3
  • VMware Fusion 3

Windows XP (avec SP2 ou SP3) ou supérieur est requis, en 32 bits ou 64 bits. Les applications 64 bits nécessitent Windows 64 bits. Lorsque l'exécution s'effectue par l'intermédiaire du protocole RDP (Remote Desktop Protocol), Windows Vista ou supérieur est requis ; XP ne comprenant pas un support complet pour l'unité GPU sur RDP.

Exigences Mac OS X

Votre Mac comporte une unité GPU qualifiée s'il s'exécute sur l'un des systèmes d'exploitation suivants :

  • OS X 10.8 Mountain Lion
  • OS X 10.9 Mavericks

Pour le développement d'applications Mac OS X et iOS, les éléments suivants doivent être installés sur le Mac :

  • Xcode 4.6 pour OS X 10.8 Mountain Lion
  • Xcode 5 pour OS X 10.9 Mavericks

Exigences iOS

Vous devez connecter un périphérique iOS à votre Mac afin d'y exécuter une application iOS. Les périphériques suivants sont supportés :

  • iPod Touch, iPhone ou iPad
  • iOS 6 et supérieur

Pour le développement d'applications iOS, les éléments suivants doivent être installés sur le Mac :

  • Xcode 4.5 pour iOS 6
  • Xcode 4.6 pour iOS 6.1
  • Xcode 5 pour iOS 7

Exigences Android

Vous devez connecter un périphérique Android à votre système de développement afin d'y exécuter une application.
Appmethod supporte le développement d'applications pour les périphériques Android exécutant sur un processeur ARMv7 avec le support de NEON.
Voir la liste spécifique des versions d'Android supportées dans Périphériques Android supportés pour le développement d'applications.

Voir aussi